Update Compound Aggregation - m3ter Documentation
Update Compound Aggregation
cURL
curl --request PUT \
--url https://api.m3ter.com/organizations/{orgId}/compoundaggregations/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '\n{\n "name": "<string>",\n "quantityPerUnit": 1,\n "unit": "<string>",\n "calculation": "<string>",\n "version": 123,\n "customFields": {},\n "code": "example_code",\n "accountingProductId": "<string>",\n "productId": "<string>",\n "evaluateNullAggregations": true\n}\n'
Python
import requests
url = "https://api.m3ter.com/organizations/{orgId}/compoundaggregations/{id}"
payload = {
"name": "<string>",
"quantityPerUnit": 1,
"unit": "<string>",
"calculation": "<string>",
"version": 123,
"customFields": {},
"code": "example_code",
"accountingProductId": "<string>",
"productId": "<string>",
"evaluateNullAggregations": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)
JavaScript (Fetch)
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
quantityPerUnit: 1,
unit: '<string>',
calculation: '<string>',
version: 123,
customFields: {},
code: 'example_code',
accountingProductId: '<string>',
productId: '<string>',
evaluateNullAggregations: true
})
};
fetch('https://api.m3ter.com/organizations/{orgId}/compoundaggregations/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.m3ter.com/organizations/{orgId}/compoundaggregations/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'quantityPerUnit' => 1,
'unit' => '<string>',
'calculation' => '<string>',
'version' => 123,
'customFields' => [],
'code' => 'example_code',
'accountingProductId' => '<string>',
'productId' => '<string>',
'evaluateNullAggregations' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
Response Structure
{
"id": "<string>",
"version": 123,
"customFields": {},
"name": "<string>",
"quantityPerUnit": 123,
"unit": "<string>",
"code": "<string>",
"segments": [{}],
"accountingProductId": "<string>",
"calculation": "<string>",
"productId": "<string>",
"evaluateNullAggregations": true,
"dtCreated": "2023-11-07T05:31:56Z",
"dtLastModified": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"lastModifiedBy": "<string>"
}
Error Responses
{
"message": "<string>"
}
Authorizations
authorization: string - required
Path Parameters
orgId: string - required
id: string - required
Body
name: string - required
quantityPerUnit: number - required
unit: string - required
calculation: string - required
version: integer - required
customFields: object - optional
code: string - required
accountingProductId: string - optional
productId: string - required
evaluateNullAggregations: boolean - optional
Response Fields
id: string - required
version: integer - required
customFields: object - optional
name: string - required
quantityPerUnit: number - required
unit: string - required
code: string - required
segments: object - optional
accountingProductId: string - optional
calculation: string - required
productId: string - required
evaluateNullAggregations: boolean - required
dtCreated: string - required
dtLastModified: string - required
createdBy: string - required
lastModifiedBy: string - required